> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve KYB session info

> Various info for KYB session.



## OpenAPI

````yaml /openapi/kyb.yaml get /kyb/info/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: KYB Token
    description: KYB token endpoints to begin KYB flow.
  - name: KYB Forms
    description: Endpoints for KYB form actions.
  - name: KYB Documents
    description: KYB documents CRUD endpoints for the KYB form.
  - name: Beneficiaries
    description: Beneficiaries CRUD endpoints for the KYB form.
  - name: KYB Questionnaires
    description: KYB questionnaires endpoints.
  - name: Companies
    description: Endpoints for actions with companies.
  - name: Credit Bureau
    description: Endpoints for actions with credit bureau documents.
  - name: GOV Registers
    description: Endpoints for actions with GOV registers documents.
  - name: GOV Orders
    description: Endpoints for actions with GOV ordered documents.
  - name: SOS Reports
    description: Endpoints for actions with SOS filing documents.
  - name: Webhooks
    description: Webhooks.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /kyb/info/:
    get:
      tags:
        - KYB Token
      summary: Retrieve KYB session info
      description: Various info for KYB session.
      operationId: kybInfoRetrieve
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KybInfo'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KybInfoUnauthorized'
          description: ''
      security:
        - kybTokenAuth: []
components:
  schemas:
    KybInfo:
      type: object
      properties:
        locale:
          allOf:
            - $ref: '#/components/schemas/KybLocaleEnum'
          nullable: true
          readOnly: true
          description: >-
            Default locale to use when user opens the KYB form for the first
            time.
        theme:
          allOf:
            - $ref: '#/components/schemas/ThemeCore'
          nullable: true
          readOnly: true
          description: Indicates the visual customization of the KYB form.
        flow:
          allOf:
            - $ref: '#/components/schemas/KybFormUnifiedFlow'
          nullable: true
          readOnly: true
          description: >-
            Indicates which fields/objects should be present in the KYB
            form.<br>If this field is `null`, then all possible fields/objects
            are present in this KYB form.
      required:
        - flow
        - locale
        - theme
    KybInfoUnauthorized:
      oneOf:
        - $ref: '#/components/schemas/KybInfoUnauthorizedString'
        - $ref: '#/components/schemas/KybInfoUnauthorizedObject'
    KybLocaleEnum:
      enum:
        - en
        - es
        - fr
        - ru
        - de
        - it
        - pl
        - lt
        - lv
        - et
        - cs
        - ro
        - hu
        - ja
        - bg
        - nl
        - pt
      type: string
    ThemeCore:
      type: object
      properties:
        companyName:
          type: string
          nullable: true
          maxLength: 32
        logo:
          type: string
          format: uri
          nullable: true
        font:
          type: string
          format: uri
          nullable: true
        colors:
          $ref: '#/components/schemas/ThemeColor'
        supportEmail:
          type: string
          format: email
          nullable: true
          maxLength: 100
    KybFormUnifiedFlow:
      type: object
      properties:
        fields:
          type: array
          items:
            $ref: '#/components/schemas/CompanyFieldUnified'
          nullable: true
        fieldsCustom:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldAssignmentUnified'
          nullable: true
        documents:
          type: array
          items:
            $ref: '#/components/schemas/CompanyDocType'
          nullable: true
        beneficiaries:
          type: array
          items:
            $ref: '#/components/schemas/BeneficiaryUnifiedFlow'
          nullable: true
        companySearch:
          type: boolean
          nullable: true
        bankVerification:
          type: boolean
          nullable: true
        emailVerification:
          type: boolean
          nullable: true
        ownershipFullStructure:
          type: boolean
          description: >-
            Indicates that the KYB form must contain at least one beneficiary
            (of any kind) and every company beneficiary of `SHAREHOLDER`, `UBO`
            and `ABO` type must have at least one individual beneficiary. This
            is validated when submitting the KYB form.
        ownershipPercentageThreshold:
          type: number
          format: double
          maximum: 100
          minimum: 0
          nullable: true
          description: >-
            Threshold to not require to add shareholders that are below this
            number.
        description:
          type: string
          nullable: true
          description: >-
            Note for the user to guide them on how the company information
            (including documents uploading) should be filled/edited.
          maxLength: 512
        questionnaireDescription:
          type: string
          nullable: true
          description: >-
            Note for the user to guide them on how the questionnaire should be
            filled/edited.
          maxLength: 512
    KybInfoUnauthorizedString:
      type: object
      properties:
        message:
          type: string
        identifier:
          allOf:
            - $ref: '#/components/schemas/IdentifierEnum'
          readOnly: true
        documentation:
          type: string
          format: uri
          readOnly: true
        severity:
          allOf:
            - $ref: '#/components/schemas/SeverityEnum'
          readOnly: true
      required:
        - documentation
        - identifier
        - message
        - severity
    KybInfoUnauthorizedObject:
      type: object
      properties:
        message:
          $ref: '#/components/schemas/KybInfoUnauthorizedObjectMessage'
        identifier:
          allOf:
            - $ref: '#/components/schemas/IdentifierEnum'
          readOnly: true
        documentation:
          type: string
          format: uri
          readOnly: true
        severity:
          allOf:
            - $ref: '#/components/schemas/SeverityEnum'
          readOnly: true
      required:
        - documentation
        - identifier
        - message
        - severity
    ThemeColor:
      type: object
      properties:
        primary:
          type: string
          nullable: true
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
        secondary:
          type: string
          nullable: true
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
        primaryBackground:
          type: string
          nullable: true
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
        secondaryBackground:
          type: string
          nullable: true
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
        hoveredButton:
          type: string
          nullable: true
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
        disabledIconButton:
          type: string
          nullable: true
          title: Disabled icon
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
        disabledButtonTypography:
          type: string
          nullable: true
          title: Disabled typography
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
        disabledButton:
          type: string
          nullable: true
          title: Disabled background
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
        typography:
          type: string
          nullable: true
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
        success:
          type: string
          nullable: true
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
        successBackground:
          type: string
          nullable: true
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
        error:
          type: string
          nullable: true
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
        errorBackground:
          type: string
          nullable: true
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
        warning:
          type: string
          nullable: true
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
        warningBackground:
          type: string
          nullable: true
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
        info:
          type: string
          nullable: true
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
        infoBackground:
          type: string
          nullable: true
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
        border:
          type: string
          nullable: true
          pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
          maxLength: 25
    CompanyFieldUnified:
      type: object
      properties:
        required:
          type: boolean
          default: false
        field:
          $ref: '#/components/schemas/CompanyFieldEnum'
        order:
          type: integer
          minimum: 0
          nullable: true
        readOnly:
          type: boolean
          default: false
        changeFrom:
          nullable: true
          description: KYB form field value must be changed from this field's value.
        changeRequired:
          type: boolean
      required:
        - field
    CustomFieldAssignmentUnified:
      type: object
      properties:
        field:
          $ref: '#/components/schemas/CustomField'
        required:
          type: boolean
          default: false
        order:
          type: integer
          maximum: 4294967295
          minimum: 0
          format: int64
          nullable: true
        readOnly:
          type: boolean
          default: false
        changeFrom:
          nullable: true
          description: KYB form field value must be changed from this field's value.
        changeRequired:
          type: boolean
      required:
        - field
    CompanyDocType:
      type: object
      properties:
        description:
          type: string
          nullable: true
          maxLength: 512
        required:
          type: boolean
          default: false
        docType:
          type: string
          pattern: ^[\u0000-\u007F]+$
          maxLength: 100
      required:
        - docType
    BeneficiaryUnifiedFlow:
      type: object
      description: Indicates which beneficiary types are editable.
      properties:
        beneficiaryType:
          $ref: '#/components/schemas/BeneficiaryTypeEnum'
        required:
          type: boolean
          default: false
        fields:
          type: array
          items:
            $ref: '#/components/schemas/BeneficiaryField'
          nullable: true
        applicants:
          type: array
          items:
            $ref: '#/components/schemas/ApplicantFlow'
        description:
          type: string
          description: >-
            Note for the user to guide them on how the beneficiaries information
            (including documents uploading) should be filled/edited.
          maxLength: 512
        readOnly:
          type: boolean
          default: false
      required:
        - applicants
        - beneficiaryType
    IdentifierEnum:
      enum:
        - AUTHENTICATION_FAILED
      type: string
    SeverityEnum:
      enum:
        - NOT_SEVERE
        - SEVERE
      type: string
    KybInfoUnauthorizedObjectMessage:
      type: object
      properties:
        detail:
          type: string
        completed:
          type: boolean
          readOnly: true
      required:
        - completed
        - detail
    CompanyFieldEnum:
      enum:
        - COMPANY_NAME
        - REGISTRATION_NUMBER
        - COUNTRY
        - REGION
        - TYPE
        - PHONE
        - WEBSITE
        - EMAIL
        - BRAND_NAMES
        - ACTIVITY_CODE
        - TIN
        - OPERATING_ADDRESS
        - POSTAL_ADDRESS
        - POSTCODE
        - STREET
        - CITY
      type: string
    CustomField:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        key:
          type: string
          pattern: ^[\w_*-]+$
          maxLength: 32
        title:
          type: string
          maxLength: 64
        description:
          type: string
          nullable: true
          default: ''
          maxLength: 512
        type:
          $ref: '#/components/schemas/CustomFieldTypeEnum'
        choices:
          type: array
          items:
            $ref: '#/components/schemas/Choice'
      required:
        - id
        - key
        - title
        - type
    BeneficiaryTypeEnum:
      enum:
        - CEO
        - REPRESENTATIVE
        - SHAREHOLDER
        - UBO
        - ABO
      type: string
    BeneficiaryField:
      type: object
      properties:
        required:
          type: boolean
          default: false
        field:
          $ref: '#/components/schemas/BeneficiaryFieldEnum'
      required:
        - field
    ApplicantFlow:
      oneOf:
        - $ref: '#/components/schemas/IndividualFlow'
        - $ref: '#/components/schemas/CompanyFlow'
      discriminator:
        propertyName: applicantType
        mapping:
          INDIVIDUAL:
            $ref: '#/components/schemas/IndividualFlow'
          COMPANY:
            $ref: '#/components/schemas/CompanyFlow'
    CustomFieldTypeEnum:
      enum:
        - CHECKBOX
        - COUNTRY
        - COUNTRY_MULTI
        - DATE
        - INTEGER
        - SELECT
        - SELECT_MULTI
        - TEXT
      type: string
    Choice:
      type: object
      properties:
        key:
          type: string
          pattern: ^[\w_*-]+$
          maxLength: 32
        title:
          type: string
          maxLength: 512
      required:
        - key
        - title
    BeneficiaryFieldEnum:
      enum:
        - OWNERSHIP_PERCENTAGE
      type: string
    IndividualFlow:
      type: object
      properties:
        required:
          type: boolean
          default: false
        applicantType:
          $ref: '#/components/schemas/ApplicantTypeEnum'
        fieldsCustom:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldAssignment'
          nullable: true
        fields:
          type: array
          items:
            $ref: '#/components/schemas/IndividualField'
        documents:
          type: array
          items:
            $ref: '#/components/schemas/IndividualDocType'
          nullable: true
      required:
        - applicantType
        - fields
    CompanyFlow:
      type: object
      properties:
        required:
          type: boolean
          default: false
        applicantType:
          $ref: '#/components/schemas/ApplicantTypeEnum'
        fieldsCustom:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldAssignment'
          nullable: true
        fields:
          type: array
          items:
            $ref: '#/components/schemas/CompanyField'
        documents:
          type: array
          items:
            $ref: '#/components/schemas/CompanyDocType'
          nullable: true
      required:
        - applicantType
        - fields
    ApplicantTypeEnum:
      enum:
        - INDIVIDUAL
        - COMPANY
      type: string
    CustomFieldAssignment:
      type: object
      properties:
        field:
          $ref: '#/components/schemas/CustomField'
        required:
          type: boolean
          default: false
        order:
          type: integer
          maximum: 4294967295
          minimum: 0
          format: int64
          nullable: true
      required:
        - field
    IndividualField:
      type: object
      properties:
        required:
          type: boolean
          default: false
        field:
          $ref: '#/components/schemas/IndividualFieldEnum'
        order:
          type: integer
          minimum: 0
          nullable: true
      required:
        - field
    IndividualDocType:
      type: object
      properties:
        description:
          type: string
          nullable: true
          maxLength: 512
        required:
          type: boolean
          default: false
        docType:
          type: string
          pattern: ^[\u0000-\u007F]+$
          maxLength: 100
      required:
        - docType
    CompanyField:
      type: object
      properties:
        required:
          type: boolean
          default: false
        field:
          $ref: '#/components/schemas/CompanyFieldEnum'
        order:
          type: integer
          minimum: 0
          nullable: true
      required:
        - field
    IndividualFieldEnum:
      enum:
        - NAME
        - SURNAME
        - COUNTRY
        - EMAIL
        - PHONE
        - DATE_OF_BIRTH
        - NATIONALITY
        - DOCUMENT_NUMBER
        - PERSONAL_NUMBER
        - CITIZENSHIP
        - COUNTRY_OF_BIRTH
        - RESIDENTIAL_ADDRESS
        - COUNTRY_OF_RESIDENCE
        - POSTCODE
        - ADDRESS
        - STREET
        - CITY
        - TIN
        - TAX_RESIDENCE
        - SELF_DECLARED_PEP
        - POSITIONS
      type: string
  securitySchemes:
    kybTokenAuth:
      type: http
      scheme: bearer
      description: >-
        Authentication for actions with all operations associated with KYB
        form.<br>

        Token obtained from *KYB form token generation* endpoint as
        ``tokenString`` value.<br>

````